Bug 11796 - smb3 multi-channel enablement switch missing
smb3 multi-channel enablement switch missing
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.4.0rc4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-15 19:41 UTC by Michael Adam
Modified: 2016-03-23 08:48 UTC (History)
3 users (show)

See Also:


Attachments
patch for v4-4-test, cherry-picked from master (2.99 KB, patch)
2016-03-15 20:24 UTC, Michael Adam
obnox: review+
metze: review+
gd: review+
Details
whatsnew patch, for completeness (2.76 KB, patch)
2016-03-15 21:03 UTC, Michael Adam
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Adam 2016-03-15 19:41:48 UTC
The core of multi-channel has gone into master and 4.4.
The smb.conf switch to enable multi-channel as an experimental feature is still missing from 4.4.
As discussed (with Karolin and Metze) I would still like to add this to 4.4.
So ... let me try. :-)
Comment 1 Michael Adam 2016-03-15 20:24:41 UTC
Created attachment 11923 [details]
patch for v4-4-test, cherry-picked from master

Patch that adds the enablement switch. From master.
Comment 2 Stefan Metzmacher 2016-03-15 20:30:22 UTC
Comment on attachment 11923 [details]
patch for v4-4-test, cherry-picked from master

I'm ok with this, but I let Karolin decide if and when we get this.
Comment 3 Guenther Deschner 2016-03-15 20:34:57 UTC
Comment on attachment 11923 [details]
patch for v4-4-test, cherry-picked from master

LGTM
Comment 4 Michael Adam 2016-03-15 20:42:39 UTC
Thanks!
Comment 5 Michael Adam 2016-03-15 21:03:37 UTC
Created attachment 11924 [details]
whatsnew patch, for completeness

Just for completeness, the whatsnew patch I also just sent to samba-technical
Comment 6 Karolin Seeger 2016-03-21 10:25:35 UTC
(In reply to Michael Adam from comment #5)
Pushed to autobuild-v4-4-test, thanks
Comment 7 Karolin Seeger 2016-03-23 08:48:26 UTC
Pushed to v4-4-test.
Closing out bug report.

Thanks!